all: soap
	echo All up to date

soap80s.o: soap80s.i
	csh -c "p5impcompiler soap80s.i -P MAXWORK,MAXDICT,LIST |& more"

soap: soap80s.o emasemu.o
	cc -o soap emasemu.o soap80s.o -limp2

emasemu.o: emasemu.c
	cc -c emasemu.c
